curl --request PUT \
--url https://web.subly.app/api/v1/transactions/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"sub_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revenue_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": 123,
"currency_code": "<string>",
"date": "2023-11-07T05:31:56Z",
"category": "<string>",
"tags": [
123
],
"website": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://web.subly.app/api/v1/transactions/{id}"
payload = {
"sub_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revenue_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": 123,
"currency_code": "<string>",
"date": "2023-11-07T05:31:56Z",
"category": "<string>",
"tags": [123],
"website": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sub_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
revenue_item_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
amount: 123,
currency_code: '<string>',
date: '2023-11-07T05:31:56Z',
category: '<string>',
tags: [123],
website: '<string>',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://web.subly.app/api/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sub_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revenue_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": 123,
"currency_code": "<string>",
"date": "2023-11-07T05:31:56Z",
"category": "<string>",
"tags": [
123
],
"website": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Update a transaction
Updates the details of an existing transaction.
Authorizations
Your private API key for authentication. This key identifies your workspace for all requests.
Path Parameters
The unique identifier for the transaction.
Body
Response
Transaction updated successfully.
Unique identifier for the transaction.
ID of the linked expense, if applicable.
ID of the linked revenue item, if applicable.
A descriptive name for the transaction.
The value of the transaction.
The ISO 4217 currency code for the transaction amount.
The date and time the transaction occurred.
The type of transaction.
expense, revenue Organizational category for the transaction.
Array of tag IDs.
Associated website, if any.
Identifier of the workspace this transaction belongs to.
Identifier of the project this transaction is assigned to.
Was this page helpful?